- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnIkEffector Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Inverse kinematics end effector function set.

MFnIkEffector is the function set for inverse kinematic end effectors. An end effector is a point on the skeleton, usually the last bone. When an IK system solves, it is trying to calculate the rotations on the joints necessary to get the end effector to the target point.

The methods of the parent class MFnTransform used to position the end effector.

`#include <MFnIkEffector.h>`

Inheritance diagram for MFnIkEffector:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnIkEffector ()
| Destructor.
| MFnIkEffector ()
| Default constructor.
| MFnIkEffector (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnIkEffector (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
MObject | create (MObject parent=MObject::kNullObj, MStatus *ReturnStatus=NULL)
| Creates a new end effector.
| MFnIkEffector (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

~MFnIkEffector | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnIkEffector | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnIkEffector | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnIkEffector | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kIkEffector.

Reimplemented from MFnTransform.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnIkEffector".

Reimplemented from MFnTransform.

MObject create | ( | MObject | parent = `MObject::kNullObj`,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Creates a new end effector.

For the effector to work properly, it should be given a joint as the parent. It should be given the joint before the last bone.

Parameters:

  [in] | parent | parent DAG node (should be a joint)
  [out] | ReturnStatus | return status

Returns:
  A handle to the new object

Status Codes:
  - MS::kSuccess operation successful
  - MS::kLicenseFailure application not licensed for attempted operation
  - MS::kFailure unexpected failure

Reimplemented from MFnTransform.

MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector
MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector MFnIkEffector